import type { PropType as __PropType } from 'vue';
import { PaginatedList } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _sfc_main: import("vue").DefineComponent<{
    list: {
        type: __PropType<PaginatedList<unknown> | undefined>;
        required: false;
    };
    listKey: {
        type: __PropType<string | undefined>;
        required: false;
    };
    scrollType: {
        type: __PropType<ScrollType | undefined>;
        required: false;
        default: () => ScrollType;
    };
    limit: {
        type: __PropType<number | undefined>;
        required: false;
    };
    visiblePageCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    useRouter: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    skeletonCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    itemContainerClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    skeletonContainerClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    paginationClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    moreButtonContainerClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    loadExplicitly: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    loadOnMount: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("needList" | "listLoaded")[], "needList" | "listLoaded", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: __PropType<PaginatedList<unknown> | undefined>;
        required: false;
    };
    listKey: {
        type: __PropType<string | undefined>;
        required: false;
    };
    scrollType: {
        type: __PropType<ScrollType | undefined>;
        required: false;
        default: () => ScrollType;
    };
    limit: {
        type: __PropType<number | undefined>;
        required: false;
    };
    visiblePageCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    useRouter: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    skeletonCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    itemContainerClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    skeletonContainerClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    paginationClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    moreButtonContainerClass: {
        type: __PropType<string | undefined>;
        required: false;
    };
    loadExplicitly: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    loadOnMount: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
}>> & {
    onNeedList?: ((...args: any[]) => any) | undefined;
    onListLoaded?: ((...args: any[]) => any) | undefined;
}, {
    scrollType: ScrollType | undefined;
    loadExplicitly: boolean | undefined;
    loadOnMount: boolean | undefined;
}>;
export default _sfc_main;
